Bug 840585 - [abrt] gobject-introspection-devel-1.32.1-1.fc17: subprocess.py:1249:_execute_child:OSError: [Errno 8] Exec format error
[abrt] gobject-introspection-devel-1.32.1-1.fc17: subprocess.py:1249:_execute...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gobject-introspection (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:a679428af9dd15062d0a962e92d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 11:52 EDT by William Bader
Modified: 2013-08-01 09:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:08:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Bader 2012-07-16 11:52:09 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/g-ir-scanner --quiet --add-include-path=. --namespace=Poppler --nsversion=0.18 '--libtool=/bin/sh ../libtool' --include=GObject-2.0 --include=cairo-1.0 --pkg-export=poppler-glib --library=libpoppler-glib.la --c-include poppler.h '-DG_LOG_DOMAIN=\"Poppler\"' -I.. -I../poppler -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/freetype2 -DG_DISABLE_DEPRECATED -DG_DISABLE_SINGLE_INCLUDES -I.. poppler-enums.c poppler-enums.h poppler-action.cc poppler-date.cc poppler-document.cc poppler-page.cc poppler-attachment.cc poppler-form-field.cc poppler-annot.cc poppler-layer.cc poppler-media.cc poppler-movie.cc poppler-cached-file-loader.cc poppler-cached-file-loader.h poppler-input-stream.cc poppler-input-stream.h poppler.cc poppler-action.h poppler-date.h poppler-document.h poppler-page.h poppler-attachment.h poppler-form-field.h poppler-annot.h poppler-layer.h poppler-media.h poppler-movie.h poppler.h poppler-features.h libpoppler-glib.la --output Poppler-0.18.gir
executable:     /usr/bin/g-ir-scanner
kernel:         3.4.4-5.fc17.x86_64
time:           Mon 16 Jul 2012 05:48:14 PM CEST
uid:            214
username:       william

backtrace:
:subprocess.py:1249:_execute_child:OSError: [Errno 8] Exec format error
:
:Traceback (most recent call last):
:  File "/usr/bin/g-ir-scanner", line 46, in <module>
:    sys.exit(scanner_main(sys.argv))
:  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 412, in scanner_main
:    ss = create_source_scanner(options, args)
:  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 335, in create_source_scanner
:    ss.parse_files(filenames)
:  File "/usr/lib64/gobject-introspection/giscanner/sourcescanner.py", line 249, in parse_files
:    self._parse(headers)
:  File "/usr/lib64/gobject-introspection/giscanner/sourcescanner.py", line 283, in _parse
:    stdout=subprocess.PIPE)
:  File "/usr/lib64/python2.7/subprocess.py", line 679, in __init__
:    errread, errwrite)
:  File "/usr/lib64/python2.7/subprocess.py", line 1249, in _execute_child
:    raise child_exception
:OSError: [Errno 8] Exec format error
:
:Local variables in innermost frame:
:errread: None
:c2pread: 5
:gc_was_enabled: True
:errwrite: None
:shell: False
:errpipe_write: 8
:executable: '/usr/local/bin/gcc-4.7.1'
:close_fds: False
:self: <subprocess.Popen object at 0x2ec0450>
:env: None
:cwd: None
:child_exception: OSError(8, 'Exec format error')
:args: ['/usr/local/bin/gcc-4.7.1', '-E', '-C', '-I.', '-', '-I..', '-I../poppler', '-I/usr/include/glib-2.0', '-I/usr/lib64/glib-2.0/include', '-I/usr/include/cairo', '-I/usr/include/pixman-1', '-I/usr/include/freetype2', '-I/usr/include/libpng15', '-DG_LOG_DOMAIN="Poppler"', '-DG_DISABLE_DEPRECATED', '-DG_DISABLE_SINGLE_INCLUDES']
:fd: None
:c2pwrite: 6
:data: 'cexceptions\nOSError\np0\n(I8\nS\'Exec format error\'\np1\ntp2\nRp3\n(dp4\nS\'child_traceback\'\np5\nS\'Traceback (most recent call last):\\n  File "/usr/lib64/python2.7/subprocess.py", line 1201, in _execute_child\\n    os.execvp(executable, args)\\n  File "/usr/lib64/python2.7/os.py", line 344, in execvp\\n    _execvpe(file, args)\\n  File "/usr/lib64/python2.7/os.py", line 368, in _execvpe\\n    func(file, *argrest)\\nOSError: [Errno 8] Exec format error\\n\'\np6\nsb.'
:creationflags: 0
:errpipe_read: 7
:preexec_fn: None
:p2cread: 3
:startupinfo: None
:p2cwrite: 4
:universal_newlines: False

comment:
:Build poppler from git source retrieved through
:git clone git://git.freedesktop.org/git/poppler/poppler
:The build generrates the command line that causes the crash.

smolt_data:
:
:
:General
:=================================
:UUID: e30d6fb3-6370-4eea-8a0b-c500ec208588
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4988.78
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2450M CPU @ 2.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2501
:System Memory: 5881
:System Swap: 8191
:Vendor: Sony Corporation
:System: VPCCB4Q1E C60A58AK
:Form factor: Notebook
:Kernel: 3.4.4-5.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:57906:4173:36993) pci, None, BASE, N/A
:(32902:7241:4173:36993) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4147:404:4173:36993) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:294:4173:36992) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4098:26433:4173:36992) pci, radeon, VIDEO, NI Whistler [AMD Radeon HD 6600M Series]
:(32902:7200:4173:36993) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4173:36993) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4173:36993) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:50:4187:57412) pci, ath9k, NETWORK, AR9485 Wireless Network Adapter
:(6505:4227:4173:36993) pci, atl1c, ETHERNET, AR8151 v2.0 Gigabit Ethernet
:(4480:59427:4173:36993) pci, sdhci-pci, BASE, N/A
:(32902:7171:4173:36993) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4173:36993) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4173:36993) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4173:36993) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4173:36993) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:4173:36993) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 75823310 39702836 35907124 18980864 16714599 16714599
:/dev/sda1 /boot ext4 4096 4096 130459 103713 97160 32768 32417 32417
:
Comment 1 Fedora End Of Life 2013-07-04 00:18:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 09:08:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.